export interface Part{
    partname: string, 
    registrycode: string, 
    description: string, 
    length?: number, 
    type: string, 
    url: string
}


/* 
Vorlage: 

{
    partname: "", 
    registrycode: , 
    description: "", 
    length: , 
    type: "",
    url: ""
    },

*/

export const BasicParts: Array<Part> = [
    {
        partname: "n1SpuFz1", 
        registrycode: "BBa_K5247101", 
        description: "nickase", 
        length: 1917, 
        type: "DNA",
        url: "https://parts.igem.org/Part:BBa_K5247101"
    },
    {
        partname: "n2SpuFz1", 
        registrycode: "BBa_K5247102", 
        description: "nickase", 
        length: 1917, 
        type: "DNA",
        url: "https://parts.igem.org/Part:BBa_K5247102"
    },
    {
        partname: "n3SpuFz1", 
        registrycode: "BBa_K5247103", 
        description: "nickase", 
        length: 1917, 
        type: "DNA",
        url: "https://parts.igem.org/Part:BBa_K5247103"
    },
    {
        partname: "n4SpuFz1", 
        registrycode: "BBa_K5247104", 
        description: "nickase", 
        length: 1917, 
        type: "DNA",
        url: "https://parts.igem.org/Part:BBa_K5247104"
    },
    {
        partname: "n1CasX", 
        registrycode: "BBa_K5247105", 
        description: "nickase", 
        length: 2958, 
        type: "DNA",
        url: "https://parts.igem.org/Part:BBa_K5247105"
    },{
        partname: "n2CasX", 
        registrycode: "BBa_K5247106", 
        description: "nickase", 
        length: 2958, 
        type: "DNA",
        url: "https://parts.igem.org/Part:BBa_K5247106"
    },
    {
        partname: "n3CasX", 
        registrycode: "BBa_K5247107", 
        description: "nickase", 
        length: 2958, 
        type: "DNA",
        url: "https://parts.igem.org/Part:BBa_K5247107"
    },
    {
        partname: " ", 
        registrycode: " ", 
        description: " ", 
        type: " ",
        url: " "
    },
    {
    partname: "pegRNA_PEAR_01", 
    registrycode: "BBa_K5247136", 
    description: "pegRNA", 
    length: 153, 
    type: "DNA",
    url: "https://parts.igem.org/Part:BBa_K5247136"
    },
    {
    partname: "pegRNA_PEAR_02", 
    registrycode: "BBa_K5247110", 
    description: "pegRNA", 
    length: 153, 
    type: "DNA",
    url: "https://parts.igem.org/Part:BBa_K5247110"
    },
    {
    partname: "pegRNA_PEAR_03", 
    registrycode: "BBa_K5247111", 
    description: "pegRNA", 
    length: 183, 
    type: "DNA",
    url: "https://parts.igem.org/Part:BBa_K5247111"
    },
    {
    partname: "pegRNA_PEAR_04", 
    registrycode: "BBa_K5247112", 
    description: "pegRNA", 
    length: 183, 
    type: "DNA",
    url: "https://parts.igem.org/Part:BBa_K5247112"
    },
    {
    partname: "pegRNA_PEAR_05", 
    registrycode: "BBa_K5247113", 
    description: "pegRNA", 
    length: 184, 
    type: "DNA",
    url: "https://parts.igem.org/Part:BBa_K5247113"
    },
    {
    partname: "pegRNA_PEAR_06", 
    registrycode: "BBa_K5247114", 
    description: "pegRNA", 
    length: 184, 
    type: "DNA",
    url: "https://parts.igem.org/Part:BBa_K5247114"
    },
    {
    partname: "pegRNA_PEAR_07", 
    registrycode: "BBa_K5247115", 
    description: "pegRNA", 
    length: 186, 
    type: "DNA",
    url: "https://parts.igem.org/Part:BBa_K5247115"
    },
    {
    partname: "pegRNA_PEAR_08", 
    registrycode: "BBa_K5247116", 
    description: "pegRNA", 
    length: 186, 
    type: "DNA",
    url: "https://parts.igem.org/Part:BBa_K5247116"
    },
    {
    partname: "pegRNA_PEAR_09", 
    registrycode: "BBa_K5247117", 
    description: "pegRNA", 
    length: 187, 
    type: "DNA",
    url: "https://parts.igem.org/Part:BBa_K5247117"
    },
    {
    partname: "pegRNA_PEAR_10", 
    registrycode: "BBa_K5247118", 
    description: "pegRNA", 
    length: 187, 
    type: "DNA",
    url: "https://parts.igem.org/Part:BBa_K5247118"
    },
    {
    partname: "pegRNA_PEAR_11", 
    registrycode: "BBa_K5247119", 
    description: "pegRNA", 
    length: 189, 
    type: "DNA",
    url: "https://parts.igem.org/Part:BBa_K5247119"
    },
    {
    partname: "pegRNA_PEAR_12", 
    registrycode: "BBa_K5247120", 
    description: "pegRNA", 
    length: 189, 
    type: "DNA",
    url: "https://parts.igem.org/Part:BBa_K5247120"
    },
    {
    partname: "pegRNA_PEAR_13", 
    registrycode: "BBa_K5247121", 
    description: "pegRNA", 
    length: 190, 
    type: "DNA",
    url: "https://parts.igem.org/Part:BBa_K5247121"
    },
    {
    partname: "pegRNA_PEAR_14", 
    registrycode: "BBa_K5247122", 
    description: "pegRNA", 
    length: 190, 
    type: "DNA",
    url: "https://parts.igem.org/Part:BBa_K5247122"
    },
    {
    partname: "pegRNA_CFTR01", 
    registrycode: "BBa_K5247123", 
    description: "pegRNA", 
    length: 183, 
    type: "DNA",
    url: "https://parts.igem.org/Part:BBa_K5247123"
    },
    {
    partname: "pegRNA_CFTR02", 
    registrycode: "BBa_K5247124", 
    description: "pegRNA", 
    length: 184, 
    type: "DNA",
    url: "https://parts.igem.org/Part:BBa_K5247124"
    },
    {
    partname: "pegRNA_CFTR03", 
    registrycode: "BBa_K5247125", 
    description: "pegRNA", 
    length: 186, 
    type: "DNA",
    url: "https://parts.igem.org/Part:BBa_K5247125"
    },
    {
    partname: "pegRNA_CFTR04", 
    registrycode: "BBa_K5247126", 
    description: "pegRNA", 
    length: 186, 
    type: "DNA",
    url: "https://parts.igem.org/Part:BBa_K5247126"
    },
    {
    partname: "pegRNA_CFTR05", 
    registrycode: "BBa_K5247127", 
    description: "pegRNA", 
    length: 189, 
    type: "DNA",
    url: "https://parts.igem.org/Part:BBa_K5247127"
    },
    {
        partname: " ", 
        registrycode: " ", 
        description: " ",  
        type: " ",
        url: ""
    },
    {
        partname: "PE_CO-mini RT", 
        registrycode: "BBa_K5247227", 
        description: "RT", 
        length: 1410, 
        type: "DNA",
        url: "https://parts.igem.org/Part:BBa_K5247227"
    },
    {
        partname: "PE6c RT", 
        registrycode: "BBa_K5247228", 
        description: "RT", 
        length: 1548, 
        type: "DNA",
        url: "https://parts.igem.org/Part:BBa_K5247227"
    },
    {
        partname: " ", 
        registrycode: " ", 
        description: " ", 
        type: " ",
        url: " "
    },
    {
        partname: "PEAR_CFTR", 
        registrycode: "BBa_K5247135", 
        description: "DNA fragment for CFTR-specific pegRNA screening", 
        length: 1511,
        type: "DNA",
        url: "https://parts.igem.org/Part:BBa_K5247135"
    },
]